/////////////////////////////////////////////////////////////////////
//扩展 Number Number对象 Object.defineProperty 增加额外的函数方法
// 在app.js 中增加require即可
/////////////////////////////////////////////////////////////////////  
/**
 * 加和运算
 * @param {*} num 
 */
Number.prototype.add = function (num) {
  return this + num;
}
/**
 * 取整
 */
Number.prototype.toIntFixed = function () {
  let value = 0
  if (this == undefined || this == null) {
    return value
  }
  return parseInt(value);
}
/**
 * 千分符
 */
Number.prototype.toThousandCents = function () {
  if (this == undefined || this == null) {
    return 0
  }
  var value = this + '';
  var d = '';
  if (value.slice(0, 1) == '-') {
    d = value.slice(0, 1);
    value = value.slice(1);
  }
  var len = value.length;
  var index = value.indexOf('.');
  if (index == -1) {
    value = value + '.00';
  } else if ((index + 2) == len) {
    value = value + '0';
  }
  var index = value.indexOf('.'); // 字符出现的位置
  var num2 = value.slice(-3);
  value = value.slice(0, index)
  var result = '';
  while (value.length > 3) {
    result = ',' + num.slice(-3) + result;
    value = value.slice(0, value.length - 3);
  }
  if (value) {
    result = value + result;
  }
  return d + (result + num2)
}

/**
 * 转换百分符号
 * @param {*} point 
 */
Number.prototype.toPercent = function () {
  var percent = parseFloat(this * 100).toFixed(2);
  return percent;
}


